# Configuration

## Main Configuration

```lua
Config = {
    Locale = 'en', -- locale that the script should use
    Debug = false, -- prints much information for developer
    VersionCheck = true, -- enable or disable version check (not working in beta)

    DutyCommand = 'aduty', -- what should be the command to go to admin-duty?
    CallHelpCommand = 'calladmin', -- what should be the command to call staff?
    AcceptMethod = 'teleport', -- available: waypoint, teleport
    NotifyOnlyInDuty = false -- should you get calladmin notifys only in admin-duty? 
}
```

{% hint style="warning" %}
Enabling **Debug** can cause a **higher resmon usage** due to massive prints.
{% endhint %}

## Features Configuration

```lua
GodMode = {
    Enable = true, -- enable/disable this feature
    Default = false, -- enable when going in duty-mode?

    Command = 'godmode', -- keep clear if no command
    Keybind = 'NUMPAD4' -- keep clear if no keybind
}

Vanish = {
    Enable = true, -- enable/disable this feature
    Default = false, -- enable when going in duty-mode?

    Command = 'vanish', -- keep clear if no command
    Keybind = 'NUMPAD5' -- keep clear if no keybind
}

NoClip = {
    Enable = true, -- enable/disable this feature
    Default = false, -- enable when going in duty-mode?

    Command = 'noclip', -- keep clear if no command
    Keybind = 'NUMPAD6' -- keep clear if no keybind
}

ESP = {
    Enable = true, -- enable/disable this feature
    Default = false, -- enable when going in duty-mode?

    Command = 'esp', -- keep clear if no command
    Keybind = 'NUMPAD2' -- keep clear if no keybind
}

NoNotify = {
    Enable = true, -- enable/disable this feature (no message when not in duty)

    Command = 'nonotify', -- keep clear if no command
    Keybind = 'NUMPAD9' -- keep clear if no keybind
}
```

{% hint style="warning" %}
If you are using **God-Mode** and want to use NoClip you **need** to use the NoClip provided in this script!
{% endhint %}

{% hint style="success" %}
You can put **`''`**`instead of a value to disable command/keybind`
{% endhint %}

## Discord Configuration

```lua
Discord = {
    Enable = false, -- do you want discord webhook logs
    Webhook = '', -- put your discord webhook link here

    Color = 65535, -- embed color
    PureContent = '@everyone', -- tag a role for example
    Name = 'lamaAdmin Webhook', -- name for the webhook bot
    Avatar = '', -- avatar link for the webhook bot
    Title = 'Admin-Duty', -- embed title
    Footer = 'Made by Lama Studios' -- embed footer 
}
```

{% hint style="info" %}
You need to generate a discord webhook link. A tutorial on how to create one can be found here: <https://youtu.be/fKksxz2Gdnc?t=13>
{% endhint %}

## Sound Configuration

```lua
Sound = {
    Enable = false, --requires: https://github.com/Xogy/xsound
    URL = 'https://www.youtube.com/watch?v=ii8zdA_teQE', --url of sound
    Volume = 1.0  --volume of the sound
}
```

{% hint style="warning" %}
Sound integration **requires** xsound
{% endhint %}

## Notification System Configuration

```lua
NotifySystem = function(args, time, type) -- add your own notification system here
    -- esx notify
    ESX.ShowNotification(args)
end
```

{% hint style="info" %}
You can add your own notification system in here. There are some examples given below.
{% endhint %}

<details>

<summary>Example for basic chat message</summary>

```lua
NotifySystem = function(args, time, type)
    TriggerEvent('chat:addMessage', {
        color = {255, 0, 0},
        multiline = true,
        args = {args}  
      }) 
end
```

</details>

<details>

<summary>Example for pNotify</summary>

```lua
NotifySystem = function(args, time, type)
    exports.pNotify:SendNotification({
        text = args,
        type = type,
        timeout = time,
        layout = "centerLeft",
        queue = "left"
    })
end
```

</details>

<details>

<summary>Example for okokNotify</summary>

```lua
NotifySystem = function(args, time, type)
    exports['okokNotify']:Alert('Support', args, time, type, true)
end
```

</details>

<details>

<summary>Example for okokChatV2</summary>

```lua
NotifySystem = function(args, time, type)
    exports['okokChatV2']:Message('linear-gradient(90deg, rgb(0 32 51) 0%, rgb(0 132 210 / 90%) 100%)', '#00d0ff', 'fas fa-bell', 'Player Need Help', ' Support', args, -1)
end
```

</details>

## Ranks Configuration

```lua
Ranks = { -- add/remove ranks and their clothes
    admin = {
        male = {
            ['tshirt_1'] = 15,  ['tshirt_2'] = 0,
            ['torso_1'] = 287,   ['torso_2'] = 3,
            ['decals_1'] = 0,   ['decals_2'] = 0,
            ['arms'] = 3,
            ['pants_1'] = 114,   ['pants_2'] = 3,
            ['shoes_1'] = 78,   ['shoes_2'] = 3,
            ['helmet_1'] = -1,  ['helmet_2'] = 0,
            ['mask_1'] = 135,  ['mask_2'] = 3,
            ['chain_1'] = 0,    ['chain_2'] = 0,
            ['ears_1'] = 0,     ['ears_2'] = 0,
            ['bags_1'] = 0,     ['bags_2'] = 0,
            ['hair_1'] = 0,     ['hair_2'] = 0,
            ['bproof_1'] = 0,  ['bproof_2'] = 0
        },
        female = {
            ['tshirt_1'] = 15,  ['tshirt_2'] = 0,
            ['torso_1'] = 300,   ['torso_2'] = 3,
            ['decals_1'] = 0,   ['decals_2'] = 0,
            ['arms'] = 8,
            ['pants_1'] = 121,   ['pants_2'] = 3,
            ['shoes_1'] = 82,   ['shoes_2'] = 3,
            ['helmet_1'] = -1,  ['helmet_2'] = 0,
            ['mask_1'] = 153,  ['mask_2'] = 3,
            ['chain_1'] = 0,    ['chain_2'] = 0,
            ['ears_1'] = 0,     ['ears_2'] = 0,
            ['bags_1'] = 0,     ['bags_2'] = 0,
            ['hair_1'] = 0,     ['hair_2'] = 0,
            ['bproof_1'] = 0,  ['bproof_2'] = 0
        } 
    },

    mod = {
        male = {
            ['tshirt_1'] = 15,  ['tshirt_2'] = 0,
            ['torso_1'] = 287,   ['torso_2'] = 4,
            ['decals_1'] = 0,   ['decals_2'] = 0,
            ['arms'] = 3,
            ['pants_1'] = 114,   ['pants_2'] = 4,
            ['shoes_1'] = 78,   ['shoes_2'] = 4,
            ['helmet_1'] = -1,  ['helmet_2'] = 0,
            ['mask_1'] = 135,  ['mask_2'] = 4,
            ['chain_1'] = 0,    ['chain_2'] = 0,
            ['ears_1'] = 0,     ['ears_2'] = 0,
            ['bags_1'] = 0,     ['bags_2'] = 0,
            ['hair_1'] = 0,     ['hair_2'] = 0,
            ['bproof_1'] = 0,  ['bproof_2'] = 0
        },
        female = {
            ['tshirt_1'] = 15,  ['tshirt_2'] = 0,
            ['torso_1'] = 300,   ['torso_2'] = 9,
            ['decals_1'] = 0,   ['decals_2'] = 0,
            ['arms'] = 8,
            ['pants_1'] = 121,   ['pants_2'] = 9,
            ['shoes_1'] = 82,   ['shoes_2'] = 9,
            ['helmet_1'] = -1,  ['helmet_2'] = 0,
            ['mask_1'] = 153,  ['mask_2'] = 9,
            ['chain_1'] = 0,    ['chain_2'] = 0,
            ['ears_1'] = 0,     ['ears_2'] = 0,
            ['bags_1'] = 0,     ['bags_2'] = 0,
            ['hair_1'] = 0,     ['hair_2'] = 0,
            ['bproof_1'] = 0,  ['bproof_2'] = 0
        } 
    },

    developer = {
        male = {
            ['tshirt_1'] = 15,  ['tshirt_2'] = 0,
            ['torso_1'] = 287,   ['torso_2'] = 9,
            ['decals_1'] = 0,   ['decals_2'] = 0,
            ['arms'] = 3,
            ['pants_1'] = 114,   ['pants_2'] = 9,
            ['shoes_1'] = 78,   ['shoes_2'] = 9,
            ['helmet_1'] = -1,  ['helmet_2'] = 0,
            ['mask_1'] = 135,  ['mask_2'] = 9,
            ['chain_1'] = 0,    ['chain_2'] = 0,
            ['ears_1'] = 0,     ['ears_2'] = 0,
            ['bags_1'] = 0,     ['bags_2'] = 0,
            ['hair_1'] = 0,     ['hair_2'] = 0,
            ['bproof_1'] = 0,  ['bproof_2'] = 0
        },
        female = {
            ['tshirt_1'] = 15,  ['tshirt_2'] = 0,
            ['torso_1'] = 300,   ['torso_2'] = 9,
            ['decals_1'] = 0,   ['decals_2'] = 0,
            ['arms'] = 8,
            ['pants_1'] = 121,   ['pants_2'] = 9,
            ['shoes_1'] = 82,   ['shoes_2'] = 9,
            ['helmet_1'] = -1,  ['helmet_2'] = 0,
            ['mask_1'] = 153,  ['mask_2'] = 9,
            ['chain_1'] = 0,    ['chain_2'] = 0,
            ['ears_1'] = 0,     ['ears_2'] = 0,
            ['bags_1'] = 0,     ['bags_2'] = 0,
            ['hair_1'] = 0,     ['hair_2'] = 0,
            ['bproof_1'] = 0,  ['bproof_2'] = 0
        } 
    },

    support = {
        male = {
            ['tshirt_1'] = 15,  ['tshirt_2'] = 0,
            ['torso_1'] = 287,   ['torso_2'] = 5,
            ['decals_1'] = 0,   ['decals_2'] = 0,
            ['arms'] = 3,
            ['pants_1'] = 114,   ['pants_2'] = 5,
            ['shoes_1'] = 78,   ['shoes_2'] = 5,
            ['helmet_1'] = -1,  ['helmet_2'] = 0,
            ['mask_1'] = 135,  ['mask_2'] = 5,
            ['chain_1'] = 0,    ['chain_2'] = 0,
            ['ears_1'] = 0,     ['ears_2'] = 0,
            ['bags_1'] = 0,     ['bags_2'] = 0,
            ['hair_1'] = 0,     ['hair_2'] = 0,
            ['bproof_1'] = 0,  ['bproof_2'] = 0
        },
        female = {
            ['tshirt_1'] = 15,  ['tshirt_2'] = 0,
            ['torso_1'] = 300,   ['torso_2'] = 5,
            ['decals_1'] = 0,   ['decals_2'] = 0,
            ['arms'] = 8,
            ['pants_1'] = 121,   ['pants_2'] = 5,
            ['shoes_1'] = 82,   ['shoes_2'] = 5,
            ['helmet_1'] = -1,  ['helmet_2'] = 0,
            ['mask_1'] = 153,  ['mask_2'] = 5,
            ['chain_1'] = 0,    ['chain_2'] = 0,
            ['ears_1'] = 0,     ['ears_2'] = 0,
            ['bags_1'] = 0,     ['bags_2'] = 0,
            ['hair_1'] = 0,     ['hair_2'] = 0,
            ['bproof_1'] = 0,  ['bproof_2'] = 0			
        } 
    }
}
```

{% hint style="info" %}
You can change your ranks and their clothes in that section.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.reallifeonline.net/lama-admin/configuration.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
